org.apache.http.impl.nio.reactor

## Class IOReactorConfig.Builder

- java.lang.Object
- - org.apache.http.impl.nio.reactor.IOReactorConfig.Builder

- Enclosing class:
    IOReactorConfig

      public static class IOReactorConfig.Builder
      extends Object

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `IOReactorConfig` | `build()`
    `IOReactorConfig.Builder` | `setConnectTimeout(int connectTimeout)`
    `IOReactorConfig.Builder` | `setInterestOpQueued(boolean interestOpQueued)`
    `IOReactorConfig.Builder` | `setIoThreadCount(int ioThreadCount)`
    `IOReactorConfig.Builder` | `setRcvBufSize(int rcvBufSize)`
    `IOReactorConfig.Builder` | `setSelectInterval(long selectInterval)`
    `IOReactorConfig.Builder` | `setShutdownGracePeriod(long shutdownGracePeriod)`
    `IOReactorConfig.Builder` | `setSndBufSize(int sndBufSize)`
    `IOReactorConfig.Builder` | `setSoKeepAlive(boolean soKeepAlive)`
    `IOReactorConfig.Builder` | `setSoLinger(int soLinger)`
    `IOReactorConfig.Builder` | `setSoReuseAddress(boolean soReuseAddress)`
    `IOReactorConfig.Builder` | `setSoTimeout(int soTimeout)`
    `IOReactorConfig.Builder` | `setTcpNoDelay(boolean tcpNoDelay)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### setSelectInterval

          public IOReactorConfig.Builder setSelectInterval(long selectInterval)

    - #### setShutdownGracePeriod

          public IOReactorConfig.Builder setShutdownGracePeriod(long shutdownGracePeriod)

    - #### setInterestOpQueued

          public IOReactorConfig.Builder setInterestOpQueued(boolean interestOpQueued)

    - #### setIoThreadCount

          public IOReactorConfig.Builder setIoThreadCount(int ioThreadCount)

    - #### setSoTimeout

          public IOReactorConfig.Builder setSoTimeout(int soTimeout)

    - #### setSoReuseAddress

          public IOReactorConfig.Builder setSoReuseAddress(boolean soReuseAddress)

    - #### setSoLinger

          public IOReactorConfig.Builder setSoLinger(int soLinger)

    - #### setSoKeepAlive

          public IOReactorConfig.Builder setSoKeepAlive(boolean soKeepAlive)

    - #### setTcpNoDelay

          public IOReactorConfig.Builder setTcpNoDelay(boolean tcpNoDelay)

    - #### setConnectTimeout

          public IOReactorConfig.Builder setConnectTimeout(int connectTimeout)

    - #### setSndBufSize

          public IOReactorConfig.Builder setSndBufSize(int sndBufSize)

    - #### setRcvBufSize

          public IOReactorConfig.Builder setRcvBufSize(int rcvBufSize)

    - #### build

          public IOReactorConfig build()

Copyright © 2005–2013 The Apache Software Foundation. All rights reserved.